program hist
use netcdf
implicit none

integer             :: i, j, k, is, ew, ns, bt, ist
parameter(ew = 80, ns = 80, bt = 40)

real, allocatable   :: QCLOUD(:,:,:,:), QICE(:,:,:,:), HEIGHT(:,:,:,:), TEMP(:,:,:,:), &
                       RRB(:,:,:,:), ZREFL(:,:,:,:), tot_cld(:,:,:,:)


	open(10,file='ist',status="unknown")
	          read(10,*) ist
	close(10)
	
          allocate(QCLOUD(ew,ns,bt,ist), QICE(ew,ns,bt,ist), HEIGHT(ew,ns,bt,ist), TEMP(w,ns,bt,ist), &
                   RRB(ew,ns,bt,ist), ZREFL(ew,ns,bt,ist))


          do is = 1, ist
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if()then
                                                  
                                                  endif
                                        enddo
                              enddo
                    enddo
          enddo

	
        CONTAINS
        SUBROUTINE read_wrf4d_output(var, nvar, WRFVAR)

                character  (len = *), parameter :: &
                        wrfout_file="wrfout_d01_2009-02-17_00:00:00"
                integer, intent(in) ::  nvar
                character *nvar :: var
                real , Dimension(ew,ns,bt,ist):: WRFVAR
                integer :: wrf_ncid, wrf_varid

                print*, wrfout_file//'_'//var//'.nc'
                ! Open the file. NF90_NOWRITE tells netCDF we want read-only access to
                ! the file.
                call check( nf90_open(wrfout_file//'_'//var//'.nc', NF90_NOWRITE, wrf_ncid) )

                print*, var
                ! Get the varid of the data variable, based on its name.
                call check( nf90_inq_varid(wrf_ncid, var, wrf_varid) )

                ! Read the data.
                print*, "reading::", var
                call check( nf90_get_var(wrf_ncid, wrf_varid, WRFVAR) )

        end subroutine read_wrf4d_output
end program hist
