program hist
use netcdf
implicit none
 
        integer                  :: i,j, k, is, ew, ns, bt, ist, ik, iss, dt, dtt, jk
	parameter(ew = 180, ns = 40, bt = 40, dt = 1)     ! dt is wrfo history interval-mins
        real, dimension(bt)      :: model_z, ni_ave_int, obs_z
                                    
        real, allocatable        :: RRB(:,:,:,:), W(:,:,:,:), HEIGHT(:,:,:,:), TEMP(:,:,:,:), NI200UM(:,:,:,:), &
                                    NSNOW200UM(:,:,:,:), NGRAUP200UM(:,:,:,:), NI(:,:,:,:), NSNOW(:,:,:,:), NGRAUP(:,:,:,:), &
                                    QSNOW(:,:,:,:), QGRAUP(:,:,:,:), QCLOUD(:,:,:,:), QICE(:,:,:,:), tot_cld(:,:,:,:),       &
                                    N_BC_ACT(:,:,:,:), N_BIO_ACT(:,:,:,:), N_DUST_ACT(:,:,:,:), N_ICE_hom(:,:,:,:),          &
                                    N_ICE_sbf(:,:,:,:), N_SNOW_sbf(:,:,:,:), N_ICE_rf(:,:,:,:), N_SNOW_rf(:,:,:,:),          &
                                    N_ICE_BREAK(:,:,:,:), N_SNOW_BREAK(:,:,:,:), N_ICE_hm(:,:,:,:), N_SNOW_hm(:,:,:,:),      &
                                    N_ICE_prim(:,:,:,:), N_SNOW_prim(:,:,:,:), N_SNOW_hom(:,:,:,:), N_ALG_ACT(:,:,:,:),      &
                                    N_BCT_ACT(:,:,:,:), N_DTS_ACT(:,:,:,:), N_FNG_ACT(:,:,:,:), N_PLN_ACT(:,:,:,:),          &
                                    N_sO_IN_ACT(:,:,:,:), n_act_inp_avg(:), n_prim_ice_avg(:), n_tot_ice_avg(:),             & 
                                    n_hm_ice_avg(:), n_rf_ice_avg(:), n_sbf_ice_avg(:), n_mb_ice_avg(:), n_hom_ice_avg(:),   &
                                    qcld_avg(:), qcldice_avg(:), qsnow_avg(:),  qgraup_avg(:), tot_lwc_avg(:),               &
                                    n_cldice_avg(:), n_snow_avg(:), n_graup_avg(:)
      	
          open(10,file='ist',status="unknown")
                    read(10,*)ist
          close (10)
	
      allocate(RRB(ew,ns,bt,ist), W(ew,ns,bt,ist), HEIGHT(ew,ns,bt,ist), TEMP(ew,ns,bt,ist), NI200UM(ew,ns,bt,ist),              &
               NSNOW200UM(ew,ns,bt,ist), NGRAUP200UM(ew,ns,bt,ist), NI(ew,ns,bt,ist), NSNOW(ew,ns,bt,ist), NGRAUP(ew,ns,bt,ist), &
               QSNOW(ew,ns,bt,ist), QICE(ew,ns,bt,ist), QGRAUP(ew,ns,bt,ist), QCLOUD(ew,ns,bt,ist), tot_cld(ew,ns,bt,ist),       &
               N_BC_ACT(ew,ns,bt,ist), N_BIO_ACT(ew,ns,bt,ist), N_DUST_ACT(ew,ns,bt,ist), N_ICE_hom(ew,ns,bt,ist),               &
               N_ICE_sbf(ew,ns,bt,ist), N_SNOW_sbf(ew,ns,bt,ist), N_ICE_rf(ew,ns,bt,ist), N_SNOW_rf(ew,ns,bt,ist),               &
               N_ICE_hm(ew,ns,bt,ist), N_SNOW_hm(ew,ns,bt,ist), N_ICE_BREAK(ew,ns,bt,ist), N_SNOW_BREAK(ew,ns,bt,ist),           &
               N_ICE_prim(ew,ns,bt,ist), N_SNOW_prim(ew,ns,bt,ist), N_SNOW_hom(ew,ns,bt,ist), N_ALG_ACT(ew,ns,bt,ist),           &
               N_BCT_ACT(ew,ns,bt,ist), N_DTS_ACT(ew,ns,bt,ist), N_FNG_ACT(ew,ns,bt,ist), N_PLN_ACT(ew,ns,bt,ist),               &
               N_sO_IN_ACT(ew,ns,bt,ist), n_act_inp_avg(ist), n_prim_ice_avg(ist), n_tot_ice_avg(ist), n_hm_ice_avg(ist),        &
               n_rf_ice_avg(ist), n_sbf_ice_avg(ist), n_mb_ice_avg(ist), qcld_avg(ist), qcldice_avg(ist), qsnow_avg(ist),        &
               qgraup_avg(ist), tot_lwc_avg(ist), n_cldice_avg(ist), n_snow_avg(ist), n_graup_avg(ist), n_hom_ice_avg(ist))

        call read_wrf4d_output('RRB',3 , RRB)
        call read_wrf4d_output('W', 1 , W)
        call read_wrf4d_output('HEIGHT',6 , HEIGHT)
        call read_wrf4d_output('TEMP',4 , TEMP)
        call read_wrf4d_output('NI200UM',7,NI200UM)
        call read_wrf4d_output('NSNOW200UM',10,NSNOW200UM)
        call read_wrf4d_output('NGRAUP200UM',11,NGRAUP200UM)
        call read_wrf4d_output('NI',2,NI)
        call read_wrf4d_output('NSNOW',5,NSNOW)
        call read_wrf4d_output('NGRAUP',6,NGRAUP)
        call read_wrf4d_output('QSNOW',5 , QSNOW)
        call read_wrf4d_output('QICE',4 , QICE)
        call read_wrf4d_output('QCLOUD', 6 , QCLOUD)
        call read_wrf4d_output('QGRAUP',6 ,QGRAUP)
        call read_wrf4d_output('N_ICE_hom', 9 , N_ICE_hom)
        call read_wrf4d_output('N_SNOW_hom', 10 , N_SNOW_hom)
        call read_wrf4d_output('N_ICE_sbf',9 , N_ICE_sbf)
        call read_wrf4d_output('N_SNOW_sbf',10 , N_SNOW_sbf)
        call read_wrf4d_output('N_ICE_rf',8 , N_ICE_rf)
        call read_wrf4d_output('N_SNOW_rf',9 , N_SNOW_rf)
        call read_wrf4d_output('N_ICE_BREAK',11 , N_ICE_BREAK)
        call read_wrf4d_output('N_SNOW_BREAK',12 , N_SNOW_BREAK)
        call read_wrf4d_output('N_ICE_hm',8 , N_ICE_hm)
        call read_wrf4d_output('N_SNOW_hm',9 , N_SNOW_hm)
        call read_wrf4d_output('N_ICE_prim',10 , N_ICE_prim)
        call read_wrf4d_output('N_SNOW_prim',11 , N_SNOW_prim)
        call read_wrf4d_output('N_BIO_ACT', 9 , N_BIO_ACT)
        call read_wrf4d_output('N_DUST_ACT', 10 , N_DUST_ACT)
        call read_wrf4d_output('N_BC_ACT', 8 , N_BC_ACT)	
        call read_wrf4d_output('N_ALG_ACT',9, N_ALG_ACT)				
        call read_wrf4d_output('N_BCT_ACT',9, N_BCT_ACT)				
        call read_wrf4d_output('N_DTS_ACT',9, N_DTS_ACT)				
        call read_wrf4d_output('N_FNG_ACT',9, N_FNG_ACT)				
        call read_wrf4d_output('N_PLN_ACT',9, N_PLN_ACT)			
        call read_wrf4d_output ('N_sO_IN_ACT',11, N_sO_IN_ACT)
                       
          do is = 1, ist
               n_act_inp_avg(is) = 0.; jk = 0;
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(N_DUST_ACT(i,j,k,is) > 0. .or. N_BC_ACT(i,j,k,is) > 0. .or. N_ALG_ACT(i,j,k,is) > 0. .or. &
                                                               N_BCT_ACT(i,j,k,is) > 0. .or. N_DTS_ACT(i,j,k,is) > 0. .or. N_FNG_ACT(i,j,k,is) > 0. .or. &
                                                               N_PLN_ACT(i,j,k,is) > 0.)then
                                                                      n_act_inp_avg(is) = n_act_inp_avg(is) + rrb(i,j,k,is)*(N_DUST_ACT(i,j,k,is)+N_BC_ACT(i,j,k,is)+N_ALG_ACT(i,j,k,is)+ &
                                                                                                                             N_BCT_ACT(i,j,k,is)+N_DTS_ACT(i,j,k,is)+N_FNG_ACT(i,j,k,is)+ &
                                                                                                                             N_PLN_ACT(i,j,k,is))
                                                                      jk = jk + 1     
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_act_inp_avg(is) = n_act_inp_avg(is)/real(jk)      
                    else
                              n_act_inp_avg(is) = -999. 
                    endif
          enddo
                
          do is = 1, ist   
                    n_prim_ice_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(N_ICE_prim(i,j,k,is) > 0.)then
                                                                      n_prim_ice_avg(is) = n_prim_ice_avg(is)+rrb(i,j,k,is)*(N_ICE_prim(i,j,k,is)+N_SNOW_prim(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_prim_ice_avg(is) = n_prim_ice_avg(is)/real(jk)      
                    else
                              n_prim_ice_avg(is) = -999. 
                    endif
          enddo
                                                  
          do is = 1, ist  
                    n_hm_ice_avg(is) = 0.; jk = 0;                                 
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(N_ICE_hm(i,j,k,is) > 0.)then
                                                                      n_hm_ice_avg(is) = n_hm_ice_avg(is)+rrb(i,j,k,is)*(N_ICE_hm(i,j,k,is)+N_SNOW_hm(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_hm_ice_avg(is) = n_hm_ice_avg(is)/real(jk)      
                    else
                              n_hm_ice_avg(is) = -999. 
                    endif
          enddo
                                                  
          do is = 1, ist  
                    n_hom_ice_avg(is) = 0.; jk = 0;                                 
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(N_ICE_hom(i,j,k,is) > 0.)then
                                                                      n_hom_ice_avg(is) = n_hom_ice_avg(is)+rrb(i,j,k,is)*(N_ICE_hom(i,j,k,is)+N_SNOW_hom(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_hom_ice_avg(is) = n_hom_ice_avg(is)/real(jk)      
                    else
                              n_hom_ice_avg(is) = -999. 
                    endif
          enddo
                                                  
          do is = 1, ist    
                    n_rf_ice_avg(is) = 0.; jk = 0;                               
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(N_ICE_rf(i,j,k,is) > 0.)then
                                                                      n_rf_ice_avg(is) = n_rf_ice_avg(is)+rrb(i,j,k,is)*(N_ICE_rf(i,j,k,is)+N_SNOW_rf(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_rf_ice_avg(is) = n_rf_ice_avg(is)/real(jk)      
                    else
                              n_rf_ice_avg(is) = -999. 
                    endif
          enddo
                                                  
                                                  
          do is = 1, ist     
                    n_sbf_ice_avg(is) = 0.; jk = 0;                              
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(N_ICE_sbf(i,j,k,is) > 0.)then
                                                                      n_sbf_ice_avg(is) = n_sbf_ice_avg(is)+rrb(i,j,k,is)*(N_ICE_sbf(i,j,k,is)+N_SNOW_sbf(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_sbf_ice_avg(is) = n_sbf_ice_avg(is)/real(jk)      
                    else
                              n_sbf_ice_avg(is) = -999. 
                    endif
          enddo
          
          do is = 1, ist  
                    n_mb_ice_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(N_ICE_BREAK(i,j,k,is) > 0.)then
                                                                      n_mb_ice_avg(is) = n_mb_ice_avg(is)+rrb(i,j,k,is)*(N_ICE_BREAK(i,j,k,is)+N_SNOW_BREAK(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_mb_ice_avg(is) = n_mb_ice_avg(is)/real(jk)      
                    else
                              n_mb_ice_avg(is) = -999. 
                    endif
          enddo
          
          do is = 1, ist  
                    n_tot_ice_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(NI(i,j,k,is) > 0.)then
                                                                      n_tot_ice_avg(is)  = n_tot_ice_avg(is)+rrb(i,j,k,is)*(NI(i,j,k,is)+NSNOW(i,j,k,is)+NGRAUP(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_tot_ice_avg(is) = n_tot_ice_avg(is)/real(jk)      
                    else
                              n_tot_ice_avg(is) = -999. 
                    endif
          enddo
          
          do is = 1, ist  
                    n_cldice_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(NI(i,j,k,is) > 0.)then
                                                                      n_cldice_avg(is) = n_cldice_avg(is)+rrb(i,j,k,is)*(NI(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_cldice_avg(is) = n_cldice_avg(is)/real(jk)      
                    else
                              n_cldice_avg(is) = -999. 
                    endif
          enddo
          
          
          do is = 1, ist  
                    n_snow_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(NSNOW(i,j,k,is) > 0.)then
                                                                      n_snow_avg(is) = n_snow_avg(is)+rrb(i,j,k,is)*(NSNOW(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_snow_avg(is) = n_snow_avg(is)/real(jk)      
                    else
                              n_snow_avg(is) = -999. 
                    endif
          enddo
          
          
          do is = 1, ist  
                    n_graup_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(NGRAUP(i,j,k,is) > 0.)then
                                                                      n_graup_avg(is) = n_graup_avg(is)+rrb(i,j,k,is)*(NGRAUP(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              n_graup_avg(is) = n_graup_avg(is)/real(jk)      
                    else
                              n_graup_avg(is) = -999. 
                    endif
          enddo
          
          do is = 1, ist  
                    qcld_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(QCLOUD(i,j,k,is) > 0.)then
                                                                      qcld_avg(is) = qcld_avg(is)+RRB(i,j,k,is)*QCLOUD(i,j,k,is)
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              qcld_avg(is) = qcld_avg(is)/real(jk)      
                    else
                              qcld_avg(is) = -999. 
                    endif
          enddo
          
          do is = 1, ist  
                    qcldice_avg(is) = 0.; tot_lwc_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(QICE(i,j,k,is) > 0.)then
                                                                      qcldice_avg(is) = qcldice_avg(is)+RRB(i,j,k,is)*QICE(i,j,k,is)
                                                                      tot_lwc_avg(is) = tot_lwc_avg(is)+RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              qcldice_avg(is) = qcldice_avg(is)/real(jk) 
                              tot_lwc_avg(is) = tot_lwc_avg(is)/real(jk)    
                    else
                              qcldice_avg(is) = -999. 
                              tot_lwc_avg(is) = -999.  
                    endif
          enddo
          
          do is = 1, ist  
                    qsnow_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < -2. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(QSNOW(i,j,k,is) > 0.)then
                                                                      qsnow_avg(is) = qsnow_avg(is)+RRB(i,j,k,is)*QSNOW(i,j,k,is)
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              qsnow_avg(is) = qsnow_avg(is)/real(jk)      
                    else
                              qsnow_avg(is) = -999. 
                    endif
          enddo
          
          do is = 1, ist  
                    qgraup_avg(is) = 0.; jk = 0;                                
                    do k = 1, bt
                              do i = 1, ew
                                        do j = 1, ns
                                                  tot_cld(i,j,k,is) = RRB(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                  if(tot_cld(i,j,k,is) > 1.e-6 .and. TEMP(i,j,k,is) < 0. .and. TEMP(i,j,k,is) > -10. .and. abs(W(i,j,k,is)) < 1. .and. tot_cld(i,j,k,is) > 1.e-6)then
                                                            if(QGRAUP(i,j,k,is) > 0.)then
                                                                      qgraup_avg(is) = qgraup_avg(is)+rrb(i,j,k,is)*(QGRAUP(i,j,k,is))
                                                                      jk = jk + 1
                                                            endif
                                                  endif
                                        enddo
                              enddo
                    enddo
                    if(jk > 0)then
                              qgraup_avg(is) = qgraup_avg(is)/real(jk)      
                    else
                              qgraup_avg(is) = -999. 
                    endif
          enddo
     
     open(2,file = 'N_ACT_INP_PRIM_HM_RF_SB_MB_time_evolution_min5_to_min20_perm3',action ='write',status='unknown')
     open(3,file = 'Q_LIQ_ICE_SNOW_GRAUP_time_evolution_min5_to_min20_kgperm3',action ='write',status='unknown')
     open(4,file = 'N_ICE_SNOW_GRAUP_time_evolution_min5_to_min20_perm3',action ='write',status='unknown')
     iss = 0; dtt = 0;
     do is = 1, ist
          !if(qcld_avg(is) > 1.e-6)then
                    write(2,90)real(iss), n_act_inp_avg(is), n_prim_ice_avg(is),n_hm_ice_avg(is),n_rf_ice_avg(is),n_sbf_ice_avg(is),n_mb_ice_avg(is),n_tot_ice_avg(is),n_hom_ice_avg(is)
                    write(*,90)real(iss), n_act_inp_avg(is), n_prim_ice_avg(is),n_hm_ice_avg(is),n_rf_ice_avg(is),n_sbf_ice_avg(is),n_mb_ice_avg(is),n_tot_ice_avg(is),n_hom_ice_avg(is)
                    write(3,90)real(iss), qcld_avg(is), qcldice_avg(is),qsnow_avg(is),qgraup_avg(is) 
                    !write(*,90)real(iss), qcld_avg(is), qcldice_avg(is),qsnow_avg(is),qgraup_avg(is)
                    write(4,90)real(iss), n_cldice_avg(is),n_snow_avg(is),n_graup_avg(is)
                    iss = iss+1
          !endif
          !if(iss > 90) exit    ! for first 90 mins (as dt = 10) after the initialization of convection
     enddo
     
90 format(f8.2,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3)


        CONTAINS
        SUBROUTINE read_wrf4d_output(var, nvar, WRFVAR)

                character  (len = *), parameter :: &
                        wrfout_file="wrfout_d01_2015-02-07_19:15:00"
                integer, intent(in) ::  nvar
                character *nvar :: var
                real , Dimension(ew,ns,bt,ist):: WRFVAR
                integer :: wrf_ncid, wrf_varid

                print*, wrfout_file//'_'//var//'.nc'
                ! Open the file. NF90_NOWRITE tells netCDF we want read-only access to
                ! the file.
                call check( nf90_open(wrfout_file//'_'//var//'.nc', NF90_NOWRITE, wrf_ncid) )

                print*, var
                ! Get the varid of the data variable, based on its name.
                call check( nf90_inq_varid(wrf_ncid, var, wrf_varid) )

                ! Read the data.
                print*, "reading::", var
                call check( nf90_get_var(wrf_ncid, wrf_varid, WRFVAR) )

        end subroutine read_wrf4d_output

       SUBROUTINE POLAT(XV, PV, X, P, plev)

	! INTERPOLATES XV TO PRESSURE P.

   	implicit none

   	integer, intent(in) :: plev

   	real, intent(in) ::&
     	p       !
   	real, dimension(plev), intent(in) ::&
      	XV,    &! DATA AT RESOLUTION N 
     	PV      ! PRESSURE AT N LEVELS
   	real, intent(out) ::&
      	X       ! DATA AT PRESSURE P

	! Local variables:

   	integer ::&
      	i, Ne, NM1
	!---------------------------------------------------------------------
   
   	Ne=plev
   	NM1=Ne-1

       IF (P .LE. PV(1)) THEN
		!       WRITE(6,2) P
          	X=(XV(2)-XV(1))/(PV(2)-PV(1))
         	X=X*(P-PV(1))+XV(1)
          	GO TO 1
       	ENDIF
      	IF (P .GE. PV(ne)) THEN
		!       WRITE(6,2) P
          	X=(XV(ne)-XV(nm1))/(PV(ne)-PV(nm1))
          	X=X*(P-PV(ne))+XV(ne)
          	GO TO 1
       	ENDIF
       	do 10 I=1,NM1

       	IF ((P .LE. PV(i+1)) .AND. (P .GE. PV(I))) THEN
		!       WRITE(6,2) P
 		!2     FORMAT(2X,'POLATE P=',E4032.5)
		!       write(6,*) 'i,xv(i),xv(i+1)= ',i,xv(i),xv(i+1)
          	X=(XV(I+1)-XV(I))/(PV(I+1)-PV(I))
          	X=X*(P-PV(I+1))+XV(I+1)
          	GO TO 1
       	ENDIF

 	10    CONTINUE
 	1     CONTINUE

	END subroutine polat


        subroutine check(status)
                integer, intent ( in) :: status

                if(status /= nf90_noerr) then
                        print *, trim(nf90_strerror(status))
                        stop "Stopped"
                end if
        end subroutine check
end program hist

