program hist

implicit none

          integer                       :: i, j, k, is, ist, ik, ii, tt, ww, w_tt, n_tt
          parameter(ist = 1658880, n_tt = 8, w_tt = n_tt)
          real, dimension(ist)          :: num_ice_ice_breakup, temp_acm, w_acm,    &
                                           num_breakup, num_hallet_mossop, num_hm,  &
                                           ver_vel_acm, temp_degc_acm
                                       
          integer, dimension(ist)        :: time_acm
          real, dimension(w_tt)          :: temp_bin, w_bin, num_break_t, num_break_w, num_hm_t, num_hm_w, &
                                            sum_n_ice_breakup_t, sum_n_ice_breakup_w
          real, dimension(w_tt,n_tt)     :: num_ice_breakup_budget, num_break_2d, num_hm_2d
          real, dimension(w_tt,n_tt,ist) :: num_ice_breakup_3d




open(11, file = '/home/deepak/OUTPUT/MC3E_CONTROLLED_SIM_v112/CONVECTIVE_v112/CONTROLLED_SIM_v113/UPDRAFT/AC_v128/CONTROL/UPDRAFT/NUM_ICE_ICE_BREAKUP_w_vs_minusT.txt', action = "read", status = "old")
open(12, file = '/home/deepak/OUTPUT/MC3E_CONTROLLED_SIM_v112/CONVECTIVE_v112/CONTROLLED_SIM_v113/UPDRAFT/AC_v128/CONTROL/UPDRAFT/NUM_HM_PROCESS_w_vs_minusT.txt', action = "read", status = "old")

          do is = 1,ist
                    read(11,*) num_ice_ice_breakup(is), w_acm(is), temp_acm(is), time_acm(is)
                    read(12,*) num_hallet_mossop(is)!, w_acm(is), temp_acm(is), time_acm(is)
                    !print*,num_ice_ice_breakup(is), w_acm(is), temp_acm(is), time_acm(is),i
                    !i=i+1
          enddo

          k = 1         
          do is = 1, ist
                    if(is >= 1658817 .and. is <= ist)then
                                                  num_breakup(k) = num_ice_ice_breakup(is)
                                                  num_hm(k)      = num_hallet_mossop(is)
                                                  ver_vel_acm(k) = w_acm(is)
                                                temp_degc_acm(k) = temp_acm(is)
                                                k=k+1
                    endif
          enddo
          !print*,'k',k-1
          
          temp_bin(1:n_tt) = (/5., 10., 15., 20., 25., 30., 35., 40./);
             w_bin(1:w_tt) = (/-5., -1., 1., 5., 10., 15., 20., 30./);

          k = 1
          do ww = 1, w_tt
                    do tt = 1, n_tt
                              num_break_2d(ww,tt) = num_breakup(k)
                                 num_hm_2d(ww,tt) = num_hm(k)  
                              k = k+1
                    enddo
                    num_break_w(ww) = sum(num_break_2d(ww,:))/8.
                       num_hm_w(ww) = sum(num_hm_2d(ww,:))/8.
                    !print*,'NUM-BREAK (T)::',sum(num_break_2d(ww,:))/8.
                    !print*,num_break_2d(ww,1)
          enddo          
          print*,''
          do tt = 1, n_tt
                    num_break_t(tt) = sum(num_break_2d(:,tt))/8.
                       num_hm_t(tt) = sum(num_hm_2d(:,tt))/8.
                    !print*,'NUM-BREAK (W)::',sum(num_break_2d(:,tt))/8.
          enddo
          
if(0==0)then          
          open(121, file = 'NUM_ICE_ICE_BREAKUP_BUDGET_minusT_W_acm', action = "write", status = "replace")
          open(122, file = 'NUM_HM_process_BUDGET_minusT_W_acm', action = "write", status = "replace")
          do tt = 1, n_tt
                    write(121,*)num_break_w(tt),num_break_t(tt),w_bin(tt),-1.*temp_bin(tt) 
                    write(122,*)num_hm_w(tt),num_hm_t(tt),w_bin(tt),-1.*temp_bin(tt)
                    print*,num_break_t(tt),num_break_w(tt),w_bin(tt),-1.*temp_bin(tt)
          enddo
          close(121) 
endif         
end program hist
