
  
        program hist

	use netcdf

        implicit none

        integer                  :: i,j, t, lifetime,   ist, bt, ew, ns,tt,n_temp_bin, n_bin_tt
	parameter(bt = 40, ew = 40, ns = 40, n_bin_tt = 27)
        real, dimension(bt)      :: model_z, ni_ave_int, obs_z
        integer, allocatable     :: iav(:,:)
        integer 	             :: i_ens, nrec, k, is, ik,grid,cloud,ntest,bin_temp,min_temp
        real,dimension(n_bin_tt) :: temp_ord,ni_av_t, q_snow_av_t, q_ice_av_t, &
                                    q_graup_av_t, ni200_av_t, temp_tt, q_cld_av_t, &
                                    n_ice_av_t, n_graup_av_t, n_snow_av_t, n_act_inp_av_t, ie_ratio_av_t,       &
                                    ni_av_sbf_t, ns_av_sbf_t, n_tot_sbf_t, ni_av_rf_t, ns_av_rf_t, n_tot_rf_t,  &
                                    ni_av_hm_t, ns_av_hm_t, n_tot_hm_t, ni_av_mb_t, ns_av_mb_t, n_tot_mb_t,     &
                                    ni_av_prim_t, ns_av_prim_t, n_tot_prim_t, ni_av_hom_t, ns_av_hom_t,         &
                                    n_tot_hom_t, n_ice_snow_t, n_ice_no_hom_t, n_inp_dust, n_inp_so, n_inp_bc,  &
                                    n_inp_bio, n_inp_alg, n_inp_bct, n_inp_dts, n_inp_fng, n_inp_pln
                                    
        real, allocatable        :: RRB(:,:,:,:), W(:,:,:,:), HEIGHT(:,:,:,:), TEMP(:,:,:,:), NI200UM(:,:,:,:), &
                                    NSNOW200UM(:,:,:,:), NGRAUP200UM(:,:,:,:), NI(:,:,:,:), NSNOW(:,:,:,:), NGRAUP(:,:,:,:), &
                                    QSNOW(:,:,:,:), QGRAUP(:,:,:,:), QCLOUD(:,:,:,:), QICE(:,:,:,:), tot_cld(:,:,:,:),       &
                                    N_BC_ACT(:,:,:,:), N_BIO_ACT(:,:,:,:), N_DUST_ACT(:,:,:,:), N_ICE_hom(:,:,:,:),          &
                                    N_ICE_sbf(:,:,:,:), N_SNOW_sbf(:,:,:,:), N_ICE_rf(:,:,:,:), N_SNOW_rf(:,:,:,:),          &
                                    N_ICE_BREAK(:,:,:,:), N_SNOW_BREAK(:,:,:,:), N_ICE_hm(:,:,:,:), N_SNOW_hm(:,:,:,:),      &
                                    N_ICE_prim(:,:,:,:), N_SNOW_prim(:,:,:,:), N_SNOW_hom(:,:,:,:), N_ALG_ACT(:,:,:,:),      &
                                    N_BCT_ACT(:,:,:,:), N_DTS_ACT(:,:,:,:), N_FNG_ACT(:,:,:,:), N_PLN_ACT(:,:,:,:),          &
                                    N_sO_IN_ACT(:,:,:,:) 
                                  
        INTRINSIC 	         :: TRIM, REAL, ABS

	open(10,file='ist',status="unknown")
	read(10,*) ist
	close (10)

	!bin_temp = 3.
	!min_temp = -19 
	!min_temp = min_temp * -1
	n_temp_bin = 30
	bin_temp = 1.
	min_temp = 30. !-20 

!
!==========================================================================================
!		Ice Number Concentration(#/cm^3) of diameter > 200. um for MC3E
!				with Altitude and Temperature(DegC)
!==========================================================================================
!

		
        allocate( RRB(ew,ns,bt,ist), W(ew,ns,bt,ist), HEIGHT(ew,ns,bt,ist), TEMP(ew,ns,bt,ist), NI200UM(ew,ns,bt,ist),              &
                  NSNOW200UM(ew,ns,bt,ist), NGRAUP200UM(ew,ns,bt,ist), NI(ew,ns,bt,ist), NSNOW(ew,ns,bt,ist), NGRAUP(ew,ns,bt,ist), &
                  QSNOW(ew,ns,bt,ist), QICE(ew,ns,bt,ist), QGRAUP(ew,ns,bt,ist), QCLOUD(ew,ns,bt,ist), tot_cld(ew,ns,bt,ist),       &
                  N_BC_ACT(ew,ns,bt,ist), N_BIO_ACT(ew,ns,bt,ist), N_DUST_ACT(ew,ns,bt,ist), N_ICE_hom(ew,ns,bt,ist),               &
                  N_ICE_sbf(ew,ns,bt,ist), N_SNOW_sbf(ew,ns,bt,ist), N_ICE_rf(ew,ns,bt,ist), N_SNOW_rf(ew,ns,bt,ist),               &
                  N_ICE_hm(ew,ns,bt,ist), N_SNOW_hm(ew,ns,bt,ist), N_ICE_BREAK(ew,ns,bt,ist), N_SNOW_BREAK(ew,ns,bt,ist),           &
                  N_ICE_prim(ew,ns,bt,ist), N_SNOW_prim(ew,ns,bt,ist), N_SNOW_hom(ew,ns,bt,ist), N_ALG_ACT(ew,ns,bt,ist),           &
                  N_BCT_ACT(ew,ns,bt,ist), N_DTS_ACT(ew,ns,bt,ist), N_FNG_ACT(ew,ns,bt,ist), N_PLN_ACT(ew,ns,bt,ist),               &
                  N_sO_IN_ACT(ew,ns,bt,ist)) 
                         
        call read_wrf4d_output('RRB',3 , RRB)
        call read_wrf4d_output('W', 1 , W)
        call read_wrf4d_output('HEIGHT',6 , HEIGHT)
        call read_wrf4d_output('TEMP',4 , TEMP)
        call read_wrf4d_output('NI200UM',7,NI200UM)
        call read_wrf4d_output('NSNOW200UM',10,NSNOW200UM)
        call read_wrf4d_output('NGRAUP200UM',11,NGRAUP200UM)
        call read_wrf4d_output('NI',2,NI)
        call read_wrf4d_output('NSNOW',5,NSNOW)
        call read_wrf4d_output('NGRAUP',6,NGRAUP)
        call read_wrf4d_output('QSNOW',5 , QSNOW)
        call read_wrf4d_output('QICE',4 , QICE)
        call read_wrf4d_output('QCLOUD', 6 , QCLOUD)
        call read_wrf4d_output('QGRAUP',6 ,QGRAUP)
        call read_wrf4d_output('N_ICE_hom', 9 , N_ICE_hom)
        call read_wrf4d_output('N_SNOW_hom', 10 , N_SNOW_hom)
        call read_wrf4d_output('N_ICE_sbf',9 , N_ICE_sbf)
        call read_wrf4d_output('N_SNOW_sbf',10 , N_SNOW_sbf)
        call read_wrf4d_output('N_ICE_rf',8 , N_ICE_rf)
        call read_wrf4d_output('N_SNOW_rf',9 , N_SNOW_rf)
        call read_wrf4d_output('N_ICE_BREAK',11 , N_ICE_BREAK)
        call read_wrf4d_output('N_SNOW_BREAK',12 , N_SNOW_BREAK)
        call read_wrf4d_output('N_ICE_hm',8 , N_ICE_hm)
        call read_wrf4d_output('N_SNOW_hm',9 , N_SNOW_hm)
        call read_wrf4d_output('N_ICE_prim',10 , N_ICE_prim)
        call read_wrf4d_output('N_SNOW_prim',11 , N_SNOW_prim)
        call read_wrf4d_output('N_BIO_ACT', 9 , N_BIO_ACT)
        call read_wrf4d_output('N_DUST_ACT', 10 , N_DUST_ACT)
        call read_wrf4d_output('N_BC_ACT', 8 , N_BC_ACT)	
        call read_wrf4d_output('N_ALG_ACT',9, N_ALG_ACT)				
        call read_wrf4d_output('N_BCT_ACT',9, N_BCT_ACT)				
        call read_wrf4d_output('N_DTS_ACT',9, N_DTS_ACT)				
        call read_wrf4d_output('N_FNG_ACT',9, N_FNG_ACT)				
        call read_wrf4d_output('N_PLN_ACT',9, N_PLN_ACT)			
        call read_wrf4d_output ('N_sO_IN_ACT',11, N_sO_IN_ACT)


	
	!do tt = 1,n_temp_bin,bin_temp
	!	temp_ord(tt) =  -1.*real(tt)
	!	print*,'temp_ord(tt)',temp_ord(tt)
	!enddo

temp_ord(1:n_bin_tt)  = (/ 0., -2., -4., -6., -8., -10., &
                          -12., -14., -16., -18., -20.,  &
                          -22., -24., -26., -28., -30.,  &
                          -32., -34., -36., -38., -40.,  &
                          -42., -44., -46., -48., -50.,  &
                          -52./)
 do tt = 1, n_bin_tt
 print*,'temp_ord(tt)',temp_ord(tt)
 enddo
 

!
!=======================================================================
!			Temperature Dependency
!		Output Data written in NI200um_T_percm3
!=======================================================================
!
          do tt = 1, n_bin_tt-1 !min_temp,bin_temp
                     n_act_inp_av_t(tt) = 0.; ni_av_t(tt) = 0.; ni200_av_t(tt) = 0.; ik = 0; ie_ratio_av_t(tt) = 0.; temp_tt(tt) = 0.; 
                     ni_av_sbf_t(tt) = 0.; ns_av_sbf_t(tt) = 0.; n_tot_sbf_t(tt) = 0.; n_ice_av_t(tt)  = 0.; n_snow_av_t(tt) = 0.; 
                     ni_av_rf_t(tt) = 0.; ns_av_rf_t(tt) = 0.; n_tot_rf_t(tt) = 0.; n_graup_av_t(tt) =  0.;
                     ni_av_hm_t(tt) = 0.; ns_av_hm_t(tt) = 0.; n_tot_hm_t(tt) = 0.;
                     ni_av_mb_t(tt) = 0.; ns_av_mb_t(tt) = 0.; n_tot_mb_t(tt) = 0.;
                     ni_av_prim_t(tt) = 0.; ns_av_prim_t(tt) = 0.; n_tot_prim_t(tt) = 0.;
                     ni_av_hom_t(tt) = 0.; ns_av_hom_t(tt) = 0.; n_tot_hom_t(tt) = 0.; n_ice_snow_t(tt) = 0.; n_ice_no_hom_t(tt) = 0.;
                     n_inp_dust(tt) = 0.; n_inp_bc(tt) = 0.; n_inp_alg(tt) = 0.; n_inp_bct(tt) = 0.;
                     n_inp_dts(tt) = 0.; n_inp_fng(tt) = 0.; n_inp_pln(tt) = 0.; n_inp_sO(tt) = 0.; 
                              do k=1,bt
                                        do is=1,ist
                                                  do i=1,ew
                                                            do j=1,ns
                                                                      tot_cld(i,j,k,is) = rrb(i,j,k,is)*(QCLOUD(i,j,k,is)+QICE(i,j,k,is))
                                                                      if((TEMP(i,j,k,is) < temp_ord(tt)) .and. (TEMP(i,j,k,is) > temp_ord(tt+1))) then
                                                                                if(tot_cld(i,j,k,is) > 1.e-6 .and. (W(i,j,k,is)) > 1. ) then
                                                                                       n_act_inp_av_t(tt) = n_act_inp_av_t(tt) + rrb(i,j,k,is)* &
                                                                                                                                 ( N_DUST_ACT(i,j,k,is) + &
                                                                                                                                   N_BC_ACT(i,j,k,is)   + &
                                                                                                                                   !N_BIO_ACT(i,j,k,is))
                                                                                                                                   N_ALG_ACT(i,j,k,is)  + &
                                                                                                                                   N_BCT_ACT(i,j,k,is)  + &
                                                                                                                                   N_DTS_ACT(i,j,k,is)  + &
                                                                                                                                   N_FNG_ACT(i,j,k,is)  + &
                                                                                                                                   N_PLN_ACT(i,j,k,is) )
                                                                                          n_inp_dust(tt) = n_inp_dust(tt) + rrb(i,j,k,is)*N_DUST_ACT(i,j,k,is)
                                                                                          n_inp_bc(tt)   = n_inp_bc(tt)   + rrb(i,j,k,is)*N_BC_ACT(i,j,k,is)
                                                                                          n_inp_alg(tt)  = n_inp_alg(tt)  + rrb(i,j,k,is)*N_ALG_ACT(i,j,k,is)
                                                                                          n_inp_bct(tt)  = n_inp_bct(tt)  + rrb(i,j,k,is)*N_BCT_ACT(i,j,k,is)
                                                                                          n_inp_dts(tt)  = n_inp_dts(tt)  + rrb(i,j,k,is)*N_DTS_ACT(i,j,k,is)
                                                                                          n_inp_fng(tt)  = n_inp_fng(tt)  + rrb(i,j,k,is)*N_FNG_ACT(i,j,k,is)
                                                                                          n_inp_pln(tt)  = n_inp_pln(tt)  + rrb(i,j,k,is)*N_PLN_ACT(i,j,k,is)
                                                                                          n_inp_sO(tt)   = n_inp_sO(tt)  + rrb(i,j,k,is)*N_sO_IN_ACT(i,j,k,is)
                                                                                          
                                                                                              ni_av_t(tt) = ni_av_t(tt) + rrb(i,j,k,is)*(NI(i,j,k,is)+NSNOW(i,j,k,is)+NGRAUP(i,j,k,is))
                                                                                           ni200_av_t(tt) = ni200_av_t(tt)  + (NI200um(i,j,k,is)+NSNOW200UM(i,j,k,is)+NGRAUP200UM(i,j,k,is))*rrb(i,j,k,is)
                                                                                          
                                                                                          n_ice_av_t(tt)  = n_ice_av_t(tt)+ rrb(i,j,k,is)*(NI(i,j,k,is))
                                                                                          n_snow_av_t(tt) = n_snow_av_t(tt)+ rrb(i,j,k,is)*(NSNOW(i,j,k,is))
                                                                                          n_graup_av_t(tt) = n_graup_av_t(tt)+ rrb(i,j,k,is)*(NGRAUP(i,j,k,is))
                                                                                          
                                                                                          ni_av_sbf_t(tt) = ni_av_sbf_t(tt) + rrb(i,j,k,is)*N_ICE_sbf(i,j,k,is)
                                                                                          ns_av_sbf_t(tt) = ns_av_sbf_t(tt) + rrb(i,j,k,is)*N_SNOW_sbf(i,j,k,is)
                                                                                          n_tot_sbf_t(tt) = n_tot_sbf_t(tt) + rrb(i,j,k,is)*(N_ICE_sbf(i,j,k,is)+N_SNOW_sbf(i,j,k,is))
                                                                                          
                                                                                          ni_av_rf_t(tt) = ni_av_rf_t(tt) + rrb(i,j,k,is)*N_ICE_rf(i,j,k,is)
                                                                                          ns_av_rf_t(tt) = ns_av_rf_t(tt) + rrb(i,j,k,is)*N_SNOW_rf(i,j,k,is)
                                                                                          n_tot_rf_t(tt) = n_tot_rf_t(tt) + rrb(i,j,k,is)*(N_ICE_rf(i,j,k,is)+N_SNOW_rf(i,j,k,is))
                                                                                          
                                                                                          ni_av_mb_t(tt) = ni_av_mb_t(tt) + rrb(i,j,k,is)*N_ICE_BREAK(i,j,k,is)
                                                                                          ns_av_mb_t(tt) = ns_av_mb_t(tt) + rrb(i,j,k,is)*N_SNOW_BREAK(i,j,k,is)
                                                                                          n_tot_mb_t(tt) = n_tot_mb_t(tt) + rrb(i,j,k,is)*(N_ICE_BREAK(i,j,k,is)+N_SNOW_BREAK(i,j,k,is))
                                                                                          
                                                                                          ni_av_hm_t(tt) = ni_av_hm_t(tt) + rrb(i,j,k,is)*N_ICE_hm(i,j,k,is)
                                                                                          ns_av_hm_t(tt) = ns_av_hm_t(tt) + rrb(i,j,k,is)*N_SNOW_hm(i,j,k,is)
                                                                                          n_tot_hm_t(tt) = n_tot_hm_t(tt) + rrb(i,j,k,is)*(N_ICE_hm(i,j,k,is)+N_SNOW_hm(i,j,k,is))
                                                                                          
                                                                                        ni_av_prim_t(tt) = ni_av_prim_t(tt) + rrb(i,j,k,is)*N_ICE_prim(i,j,k,is)
                                                                                        ns_av_prim_t(tt) = ns_av_prim_t(tt) + rrb(i,j,k,is)*N_SNOW_prim(i,j,k,is)
                                                                                        n_tot_prim_t(tt) = n_tot_prim_t(tt) + rrb(i,j,k,is)*(N_ICE_prim(i,j,k,is)+N_SNOW_prim(i,j,k,is))
                                                                                        
                                                                                          ni_av_hom_t(tt) = ni_av_hom_t(tt) + rrb(i,j,k,is)*N_ICE_hom(i,j,k,is)
                                                                                          ns_av_hom_t(tt) = ns_av_hom_t(tt) + rrb(i,j,k,is)*N_SNOW_hom(i,j,k,is)
                                                                                          n_tot_hom_t(tt) = n_tot_hom_t(tt) + rrb(i,j,k,is)*(N_SNOW_hom(i,j,k,is)+N_ICE_hom(i,j,k,is))
                                                                                       
                                                                                             temp_tt(tt)  = temp_tt(tt)  + TEMP(i,j,k,is)
                                                                                          ik = ik + 1
                                                                                endif
                                                                      endif
                                                            enddo
                                                  enddo
                                        enddo
                              enddo

                              if(ik > 0) then
                                        n_act_inp_av_t(tt) = n_act_inp_av_t(tt)/real(ik)
                                            n_inp_dust(tt) = n_inp_dust(tt)/real(ik)
                                            n_inp_bc(tt)   = n_inp_bc(tt)/real(ik)   
                                            n_inp_alg(tt)  = n_inp_alg(tt)/real(ik)  
                                            n_inp_bct(tt)  = n_inp_bct(tt)/real(ik)  
                                            n_inp_dts(tt)  = n_inp_dts(tt)/real(ik)  
                                            n_inp_fng(tt)  = n_inp_fng(tt)/real(ik) 
                                            n_inp_pln(tt)  = n_inp_pln(tt)/real(ik) 
                                            n_inp_sO(tt)   = n_inp_sO(tt)/real(ik)
                                               ni_av_t(tt) = ni_av_t(tt)/real(ik)
                                            ni200_av_t(tt) = ni200_av_t(tt)/real(ik)
                                           n_ice_av_t(tt)  = n_ice_av_t(tt)/real(ik);
                                           n_snow_av_t(tt) = n_snow_av_t(tt)/real(ik);
                                          n_ice_snow_t(tt) = n_ice_av_t(tt)+n_snow_av_t(tt)
                                          n_graup_av_t(tt) = n_graup_av_t(tt)/real(ik); 
                                         ie_ratio_av_t(tt) = ni_av_t(tt)/n_act_inp_av_t(tt)
                                           ni_av_sbf_t(tt) = ni_av_sbf_t(tt)/real(ik)
                                           ns_av_sbf_t(tt) = ns_av_sbf_t(tt)/real(ik)
                                           n_tot_sbf_t(tt) = n_tot_sbf_t(tt)/real(ik)
                                            ni_av_rf_t(tt) = ni_av_rf_t(tt)/real(ik)
                                            ns_av_rf_t(tt) = ns_av_rf_t(tt)/real(ik)
                                            n_tot_rf_t(tt) = n_tot_rf_t(tt)/real(ik)
                                            ni_av_hm_t(tt) = ni_av_hm_t(tt)/real(ik)
                                            ns_av_hm_t(tt) = ns_av_hm_t(tt)/real(ik)
                                            n_tot_hm_t(tt) = n_tot_hm_t(tt)/real(ik)
                                            ni_av_mb_t(tt) = ni_av_mb_t(tt)/real(ik)
                                            ns_av_mb_t(tt) = ns_av_mb_t(tt)/real(ik)
                                            n_tot_mb_t(tt) = n_tot_mb_t(tt)/real(ik) 
                                          ni_av_prim_t(tt) = ni_av_prim_t(tt)/real(ik)
                                          ns_av_prim_t(tt) = ns_av_prim_t(tt)/real(ik)  
                                          n_tot_prim_t(tt) = n_tot_prim_t(tt)/real(ik) 
                                           ni_av_hom_t(tt) = ni_av_hom_t(tt)/real(ik)
                                           ns_av_hom_t(tt) = ns_av_hom_t(tt)/real(ik)
                                           n_tot_hom_t(tt) = n_tot_hom_t(tt)/real(ik)
                                           if(n_ice_snow_t(tt) > n_tot_hom_t(tt))n_ice_no_hom_t(tt) = n_ice_snow_t(tt)-n_tot_hom_t(tt) 
                                           if(n_ice_snow_t(tt) < n_tot_hom_t(tt))n_ice_no_hom_t(tt) = n_tot_hom_t(tt)-n_ice_snow_t(tt)
                                               temp_tt(tt) = temp_tt(tt)/real(ik)
                              else
                                        n_act_inp_av_t(tt) = -999.
                                            n_inp_dust(tt) = -999. 
                                            n_inp_bc(tt)   = -999.    
                                            n_inp_alg(tt)  = -999.
                                            n_inp_bct(tt)  = -999.
                                            n_inp_dts(tt)  = -999.
                                            n_inp_fng(tt)  = -999.
                                            n_inp_pln(tt)  = -999.
                                            n_inp_sO(tt)   = -999.
                                               ni_av_t(tt) = -999.
                                            ni200_av_t(tt) = -999.
                                           n_ice_av_t(tt)  = -999.;
                                           n_snow_av_t(tt) = -999.;
                                          n_graup_av_t(tt) = -999. 
                                         ie_ratio_av_t(tt) = -999.
                                           ni_av_sbf_t(tt) = -999. 
                                           ns_av_sbf_t(tt) = -999. 
                                           n_tot_sbf_t(tt) = -999.
                                            ni_av_rf_t(tt) = -999. 
                                            ns_av_rf_t(tt) = -999. 
                                            n_tot_rf_t(tt) = -999.
                                            ni_av_hm_t(tt) = -999. 
                                            ns_av_hm_t(tt) = -999. 
                                            n_tot_hm_t(tt) = -999.
                                            ni_av_mb_t(tt) = -999. 
                                            ns_av_mb_t(tt) = -999. 
                                            n_tot_mb_t(tt) = -999.
                                          ni_av_prim_t(tt) = -999.
                                          ns_av_prim_t(tt) = -999.  
                                          n_tot_prim_t(tt) = -999.
                                           ni_av_hom_t(tt) = -999.
                                           ns_av_hom_t(tt) = -999.
                                           n_tot_hom_t(tt) = -999.
                                        n_ice_no_hom_t(tt) = -999.;
                                               temp_tt(tt) = -999.
                              endif
          enddo

!stop 97867

          open(2,file='N_ACTIVE_INP_T_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_act_inp_av_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_act_inp_av_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2)
          print*,''
          
          
          open(2,file='N_INP_ACT_SPECIES_T_percm3',form="formatted", access="sequential",status="unknown")
          do tt = 1,n_bin_tt-1 !min_temp,bin_temp	
                    write(2,90) temp_ord(tt), n_inp_dust(tt)/1.e6, n_inp_bc(tt)/1.e6, n_inp_alg(tt)/1.e6, n_inp_bct(tt)/1.e6, n_inp_dts(tt)/1.e6, n_inp_fng(tt)/1.e6, n_inp_pln(tt)/1.e6, n_inp_sO(tt)/1.e6
                    write(*,90) temp_ord(tt), n_inp_dust(tt)/1.e6, n_inp_bc(tt)/1.e6, n_inp_alg(tt)/1.e6, n_inp_bct(tt)/1.e6, n_inp_dts(tt)/1.e6, n_inp_fng(tt)/1.e6, n_inp_pln(tt)/1.e6, n_inp_sO(tt)/1.e6	   
          enddo
          close(2)
          print*,''
          
          open(2,file='N_TOT_ICE_SNOW_PRIM_T_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_tot_prim_t(tt)/1.e6,ni_av_prim_t(tt)/1.e6,ns_av_prim_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_tot_prim_t(tt)/1.e6,ni_av_prim_t(tt)/1.e6,ns_av_prim_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2)
          print*,''
          
          open(2,file='N_ICE_SNOW_GRAUP_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_ice_av_t(tt)/1.e6,n_snow_av_t(tt)/1.e6,n_graup_av_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_ice_av_t(tt)/1.e6,n_snow_av_t(tt)/1.e6,n_graup_av_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2)
          print*,''  
          
          open(2,file='N_TOTAL_ICE_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) ni_av_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) ni_av_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2) 
          print*,''
         
          open(2,file='N_TOT_ICE_SNOW_SBF_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_tot_sbf_t(tt)/1.e6,ni_av_sbf_t(tt)/1.e6,ns_av_sbf_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_tot_sbf_t(tt)/1.e6,ni_av_sbf_t(tt)/1.e6,ns_av_sbf_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2)
          print*,''
          
          open(2,file='N_TOT_ICE_SNOW_RF_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_tot_rf_t(tt)/1.e6,ni_av_rf_t(tt)/1.e6,ns_av_rf_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_tot_rf_t(tt)/1.e6,ni_av_rf_t(tt)/1.e6,ns_av_rf_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2) 
          print*,'' 
          
          open(2,file='N_TOT_ICE_SNOW_HM_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_tot_hm_t(tt)/1.e6,ni_av_hm_t(tt)/1.e6,ns_av_hm_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_tot_hm_t(tt)/1.e6,ni_av_hm_t(tt)/1.e6,ns_av_hm_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2)
          print*,''  
          
          open(2,file='N_TOT_ICE_SNOW_HOM_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_tot_hom_t(tt)/1.e6,ni_av_hom_t(tt)/1.e6,ns_av_hom_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_tot_hom_t(tt)/1.e6,ni_av_hom_t(tt)/1.e6,ns_av_hom_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2)
          print*,''
          
          open(2,file='N_TOT_ICE_SNOW_MB_percm3',form="formatted", access="sequential",status="unknown")
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(2,*) n_tot_mb_t(tt)/1.e6,ni_av_mb_t(tt)/1.e6,ns_av_mb_t(tt)/1.e6,temp_ord(tt) ! percm3
                              write(*,*) n_tot_mb_t(tt)/1.e6,ni_av_mb_t(tt)/1.e6,ns_av_mb_t(tt)/1.e6,temp_ord(tt) ! percm3
                    enddo
          close(2) 
          print*,''
                    do tt = 1, n_bin_tt-1 !min_temp,bin_temp	
                              write(*,*)temp_ord(tt), n_tot_prim_t(tt)/1.e6,ni_av_prim_t(tt)/1.e6,ns_av_prim_t(tt)/1.e6! percm3
                    enddo
stop
90 format(f9.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3,2x,e12.3)



        CONTAINS
        SUBROUTINE read_wrf4d_output(var, nvar, WRFVAR)

                character  (len = *), parameter :: &
                        wrfout_file="wrfout_d01_2011-05-10_00:00:00"
                integer, intent(in) ::  nvar
                character *nvar :: var
                real , Dimension(ew,ns,bt,ist):: WRFVAR
                integer :: wrf_ncid, wrf_varid

                print*, wrfout_file//'_'//var//'.nc'
                ! Open the file. NF90_NOWRITE tells netCDF we want read-only access to
                ! the file.
                call check( nf90_open(wrfout_file//'_'//var//'.nc', NF90_NOWRITE, wrf_ncid) )

                print*, var
                ! Get the varid of the data variable, based on its name.
                call check( nf90_inq_varid(wrf_ncid, var, wrf_varid) )

                ! Read the data.
                print*, "reading::", var
                call check( nf90_get_var(wrf_ncid, wrf_varid, WRFVAR) )

        end subroutine read_wrf4d_output

       SUBROUTINE POLAT(XV, PV, X, P, plev)

	! INTERPOLATES XV TO PRESSURE P.

   	implicit none

   	integer, intent(in) :: plev

   	real, intent(in) ::&
     	p       !
   	real, dimension(plev), intent(in) ::&
      	XV,    &! DATA AT RESOLUTION N 
     	PV      ! PRESSURE AT N LEVELS
   	real, intent(out) ::&
      	X       ! DATA AT PRESSURE P

	! Local variables:

   	integer ::&
      	i, Ne, NM1
	!---------------------------------------------------------------------
   
   	Ne=plev
   	NM1=Ne-1

       IF (P .LE. PV(1)) THEN
		!       WRITE(6,2) P
          	X=(XV(2)-XV(1))/(PV(2)-PV(1))
         	X=X*(P-PV(1))+XV(1)
          	GO TO 1
       	ENDIF
      	IF (P .GE. PV(ne)) THEN
		!       WRITE(6,2) P
          	X=(XV(ne)-XV(nm1))/(PV(ne)-PV(nm1))
          	X=X*(P-PV(ne))+XV(ne)
          	GO TO 1
       	ENDIF
       	do 10 I=1,NM1

       	IF ((P .LE. PV(i+1)) .AND. (P .GE. PV(I))) THEN
		!       WRITE(6,2) P
 		!2     FORMAT(2X,'POLATE P=',E4032.5)
		!       write(6,*) 'i,xv(i),xv(i+1)= ',i,xv(i),xv(i+1)
          	X=(XV(I+1)-XV(I))/(PV(I+1)-PV(I))
          	X=X*(P-PV(I+1))+XV(I+1)
          	GO TO 1
       	ENDIF

 	10    CONTINUE
 	1     CONTINUE

	END subroutine polat


        subroutine check(status)
                integer, intent ( in) :: status

                if(status /= nf90_noerr) then
                        print *, trim(nf90_strerror(status))
                        stop "Stopped"
                end if
        end subroutine check


 
	end
